# POST /users/{id}/emr/{name} URL: https://developers.vsee.io/api/emr-api/post/users/%7Bid%7D/emr/%7Bname%7D Auth: User Token — Requires a user access token from login or SSO. Update EMR section Update a specific EMR section for a user Input fields should follow the schema from `GET /emr/schema` for the corresponding `:name` schema. ### EMR Data Formats Each POST body must include `data` (the health data) and optionally `data_not_reported` (boolean: true if user selects not to declare any data). **Conditions:** `{"data":[{"condition":"Asthma"},{"condition":"Bleeding problem"}], "data_not_reported":false}` **Surgeries:** `{"data":[{"procedure":"Heart valve replaced"}], "data_not_reported":false}` **Family History:** `{"data":[{"condition":"Alcoholism","relations":["Mother","Father"]}], "data_not_reported":false}` **Social History:** `{"data":{"marital_status":"Single","highest_ed":"Grammar school","occupation":"test","num_kids":"5"}, "data_not_reported":false}` **Health Habits:** `{"data":{"smoking":"Never","alcohol":"Never","drugs":"none","exercise":"Never"}, "data_not_reported":false}` **Medications:** `{"data":[{"name": "Tylenol"}], "data_not_reported":false}` **Allergies:** `{"data":[{"substance": "1-Day"}, {"substance": "12 Hour Nasal"}], "data_not_reported":false}` Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — User ID or '-' for current user - name (path, string, required) — Name of EMR schema (conditions, surgeries, allergies, medications, family_conditions, social_history, health_habits) [enum: conditions, surgeries, allergies, medications, family_conditions, social_history, health_habits] Request body (application/json): - data (array, required) - data_not_reported (boolean, required) Example request: ```json { "data": [ { "condition": "Asthma" }, { "condition": "Bleeding problem" } ], "data_not_reported": false } ``` Responses: - 200 — Successful update ```json { "data": { "data": { "marital_status": "Single", "highest_ed": "Grammar school", "occupation": "test", "num_kids": "5" } } } ```